function [Ps] = computeHenonLikeUnstabCoeff_11_intval(p, Lambda, Q, scale, a, b, order, Ps);




Dfp = henonLikeDifferential_intval(p, a, b, 11);
Id = intval(eye(11));
lambda_1 = Lambda(1,1);
lambda_2 = Lambda(2,2);
lambda_3 = Lambda(3,3);
lambda_4 = Lambda(4,4);
lambda_5 = Lambda(5,5);
lambda_6 = Lambda(6,6);
lambda_7 = Lambda(7,7);
lambda_8 = Lambda(8,8);
lambda_9 = Lambda(9,9);
lambda_10 = Lambda(10,10);

N = order;


for n = 1:11
    Ps(1,1,1,1,1,1,1,1,1,1,n) = p(n);
    
    Ps(2,1,1,1,1,1,1,1,1,1,n) = scale*Q(n,1);
    Ps(1,2,1,1,1,1,1,1,1,1,n) = scale*Q(n,2);
    Ps(1,1,2,1,1,1,1,1,1,1,n) = scale*Q(n,3);
    Ps(1,1,1,2,1,1,1,1,1,1,n) = scale*Q(n,4);
    Ps(1,1,1,1,2,1,1,1,1,1,n) = scale*Q(n,5);
    Ps(1,1,1,1,1,2,1,1,1,1,n) = scale*Q(n,6);
    Ps(1,1,1,1,1,1,2,1,1,1,n) = scale*Q(n,7);
    Ps(1,1,1,1,1,1,1,2,1,1,n) = scale*Q(n,8);
    Ps(1,1,1,1,1,1,1,1,2,1,n) = scale*Q(n,9);
    Ps(1,1,1,1,1,1,1,1,1,2,n) = scale*Q(n,10);
end


for n1 = 2:N
    n1
    N
    for n2 = 0:n1
        for n3 = 0:n2
            for n4 = 0:n3
                for n5 = 0:n4
                    for n6 = 0:n5
                        for n7 = 0:n6
                            for n8 = 0:n7
                                for n9 = 0:n8
                                    for n10 = 0:n9
     

m = n1 - n2;
n = n2 - n3;
k = n3 - n4;
l = n4 - n5;
h = n5 - n6;
i = n6 - n7;
j = n7 - n8;
e = n8 - n9;
f = n9 - n10;
g = n10;


A_homMat = Dfp - ...
              (lambda_1^m * lambda_2^n * lambda_3^k * ...
               lambda_4^l * lambda_5^h * lambda_6^i * ...
               lambda_7^j * lambda_8^e * lambda_9^f * ...
               lambda_10^g)*Id;

 

index_num = (n+1)*(m+1)*(k+1)*(l+1)*(h+1)*(i+1)*(j+1)*(e+1)*(f+1)*(g+1);

i_1 = m+1;
i_2 = n+1;
i_3 = k+1;
i_4 = l+1;
i_5 = h+1;
i_6 = i+1;
i_7 = j+1;
i_8 = e+1;
i_9 = f+1;
i_10 = g+1;


P1 = Ps(1:i_1, 1:i_2, 1:i_3, 1:i_4, 1:i_5, ...
        1:i_6, 1:i_7, 1:i_8, 1:i_9, 1:i_10, 1);


A = reshape(P1(1:i_1, 1:i_2, 1:i_3, 1:i_4, 1:i_5, ...
               1:i_6, 1:i_7, 1:i_8, 1:i_9, 1:i_10), ...
	    index_num, 1);
A = A(2:(index_num - 1));

B = reshape(P1(1:i_1, 1:i_2, 1:i_3, 1:i_4, 1:i_5, ...
               1:i_6, 1:i_7, 1:i_8, 1:i_9, 1:i_10), ...
	    index_num, 1);
B = B(2:(index_num - 1));
B = flipud(B);

this_coef = a*transpose(A)*B;

s = [this_coef;
	      0;
	      0;
	      0;
	      0;
	      0;
	      0;
	      0;
	      0;
	      0;
              0];

v = A_homMat\s;


Ps(m+1, n+1, k+1, l+1, h+1, i+1, j+1, e+1, f+1, g+1, 1) = v(1);
Ps(m+1, n+1, k+1, l+1, h+1, i+1, j+1, e+1, f+1, g+1, 2) = v(2);
Ps(m+1, n+1, k+1, l+1, h+1, i+1, j+1, e+1, f+1, g+1, 3) = v(3);
Ps(m+1, n+1, k+1, l+1, h+1, i+1, j+1, e+1, f+1, g+1, 4) = v(4);
Ps(m+1, n+1, k+1, l+1, h+1, i+1, j+1, e+1, f+1, g+1, 5) = v(5);
Ps(m+1, n+1, k+1, l+1, h+1, i+1, j+1, e+1, f+1, g+1, 6) = v(6);
Ps(m+1, n+1, k+1, l+1, h+1, i+1, j+1, e+1, f+1, g+1, 7) = v(7);
Ps(m+1, n+1, k+1, l+1, h+1, i+1, j+1, e+1, f+1, g+1, 8) = v(8);
Ps(m+1, n+1, k+1, l+1, h+1, i+1, j+1, e+1, f+1, g+1, 9) = v(9);
Ps(m+1, n+1, k+1, l+1, h+1, i+1, j+1, e+1, f+1, g+1, 10) = v(10);
Ps(m+1, n+1, k+1, l+1, h+1, i+1, j+1, e+1, f+1, g+1, 11) = v(11);



                                    end
                                end
                            end
                        end
                    end
                end
            end
        end
    end
end

end
