function realTauLambda = tauLinearDynamics_real(tau_0, Lambda, conjDataVect, dimNum)


complexTau = zeros(dimNum-1,1);
k = 1;
while k <= dimNum-1
    thisConj = conjDataVect(k);
    if thisConj == 1
       complexTau(k) = tau_0(k); 
       k = k+1;
    else
      complexTau(k) = tau_0(k) + i*tau_0(k+1);
      complexTau(k+1) = tau_0(k) - i*tau_0(k+1);
      k = k+2;
    end
end

complexTau = Lambda*complexTau;


k = 1
tau = zeros(dimNum-1, 1);
while k <= dimNum-1
    thisTauBar = complexTau(k);
    if abs(imag(thisTauBar)) < 10^(-8)
       tau(k) = real(thisTauBar); 
       k = k+1;
    else
      tau(k) = real(thisTauBar);
      tau(k+1) = imag(thisTauBar);
      k = k+2;
    end
end




realTauLambda = tau;